<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>workerman-chat PHP聊天室 Websocket(HTLM5/Flash)+PHP多进程socket实时推送技术</title>
    <script src="https://code.jquery.com/jquery-2.2.4.min.js"
              integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44="
              crossorigin="anonymous"></script>
  </head>
<body>  
<div>
<input type="text" id="name">
</div>
<div>
<button id="register">註冊</button>
</div>
<div>
接收者<input type="text" id="toname">
</div>
<div>
<textarea id="content"></textarea> 
</div>
<div>
<button id="send_msg">發送</button>
</div>
<script>
$(window).ready(function(){
  ws = new WebSocket("ws://192.168.99.81:2346");
  ws.onopen = function() {
    alert("连接成功");
  };
  ws.onmessage = function(e) {
    alert("收到服务端的消息：" + e.data);
  };
  $("#register").click(function(){
      var name = $('#name').val();
      var data = {"name":name,"action":"register"};
      data = JSON.stringify(data);
      ws.send(data);
      // alert("给服务端发送一个字符串：tom");
  });
  
  
  $("#send_msg").click(function(){
    var data = $("#content").val();
    var toname = $("#toname").val();
    var json_data = {"toName":toname,"action":"message","content":data};
    json_data = JSON.stringify(json_data);
    ws.send(json_data);
  });
});
</script>
</body>
</html>
